List SMS

GET
/v1/sms

Messages sent from the API key's environment, newest first. Pass the last id as after to get the next page while has_more is true.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Query Parameters

to?string

Only messages to this number.

Match^\+[1-9]\d{6,14}$
status?string

Only messages in these statuses, comma-separated: failed.

created_after?string

Only messages created at or after this time.

Formatdate-time
created_before?string

Only messages created before this time.

Formatdate-time
limit?integer

1-100, default 20.

Range1 <= value <= 100
after?string

Cursor: the id of the last item of the previous page.

Lengthlength <= 64

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

A page of messages.

application/json
  1. response
object*"list"
Value in"list"
data*array<>
has_more*boolean
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.sms.list();
{  "object": "list",  "data": [],  "has_more": false}